Package net.sf.saxon.s9api

## Class SaxonApiUncheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.saxon.s9api.SaxonApiUncheckedException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SaxonApiUncheckedException
      extends java.lang.RuntimeException

  An unchecked exception thrown by the Saxon API. Unchecked exceptions are used only when errors occur in a method for which the interface specification defines no checked exception, for example `Iterator.next()`. The exception always wraps some underlying exception, which can be retrieved using `Throwable.getCause()`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaxonApiUncheckedException​(java.lang.Throwable err)` | Create an unchecked exception

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage()` | Returns the detail message string of this throwable.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SaxonApiUncheckedException

          public SaxonApiUncheckedException​(java.lang.Throwable err)

      Create an unchecked exception
      Parameters:
        `err` - the underlying cause

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Returns the detail message string of this throwable.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        the detail message string of this `Throwable` instance (which may be `null`).